JUCE: NewLine Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
NewLine Class Reference
juce_core » text

This class is used for represent a new-line character sequence. More...

`#include <juce_NewLine.h>`

## Public Member Functions
| operator String () const
| Returns the default new-line sequence that the library uses.
| operator StringRef () const noexcept
| Returns the default new-line sequence that the library uses.

## Static Public Member Functions
static const char * | getDefault () noexcept
| Returns the default new-line sequence that the library uses.

## Detailed Description

This class is used for represent a new-line character sequence.

To write a new-line to a stream, you can use the predefined 'newLine' variable, e.g.

myOutputStream << "Hello World" << newLine << newLine;
newLine
NewLine newLine
A predefined object representing a new-line, which can be written to a string or stream.

The exact character sequence that will be used for the new-line can be set and retrieved with OutputStream::setNewLineString() and OutputStream::getNewLineString().

## Member Function Documentation

## ◆ getDefault()

static const char * NewLine::getDefault | ( |  | ) |
| staticnoexcept

Returns the default new-line sequence that the library uses.

See also
  OutputStream::setNewLineString()

Referenced by operator+(), operator+(), operator+(), operator+=(), and operator<<().

## ◆ operator String()

NewLine::operator String | ( |  | ) | const

Returns the default new-line sequence that the library uses.

See also
  getDefault()

## ◆ operator StringRef()

NewLine::operator StringRef | ( |  | ) | const
| noexcept

Returns the default new-line sequence that the library uses.

See also
  OutputStream::setNewLineString()

The documentation for this class was generated from the following file:

- juce_NewLine.h